ChangeSet 1.1722.97.79, 2004/06/17 15:22:34-07:00, mdharm-usb@one-eyed-alien.net

[PATCH] USB Storage: Lexar Jumpshot CF reader

This patch is required to fix up the jumpshot driver, and to supress
the 'unneeded entry' message for another device which uses the same
VID/PID/rev for multiple different versions of the device.

Alan Stern cooked this patch up, originally.

Signed-off-by: Matthew Dharm <mdharm-usb@one-eyed-alien.net>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/jumpshot.c     |    2 +-
 drivers/usb/storage/unusual_devs.h |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/storage/jumpshot.c b/drivers/usb/storage/jumpshot.c
--- a/drivers/usb/storage/jumpshot.c	Fri Jun 18 10:52:23 2004
+++ b/drivers/usb/storage/jumpshot.c	Fri Jun 18 10:52:23 2004
@@ -471,7 +471,7 @@
 
 		// build the reply
 		//
-		((u32 *) ptr)[0] = cpu_to_be32(info->sectors);
+		((u32 *) ptr)[0] = cpu_to_be32(info->sectors - 1);
 		((u32 *) ptr)[1] = cpu_to_be32(info->ssize);
 		usb_stor_set_xfer_buf(ptr, 8, srb);
 
diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Jun 18 10:52:23 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri Jun 18 10:52:23 2004
@@ -402,8 +402,8 @@
 UNUSUAL_DEV(  0x05dc, 0x0001, 0x0000, 0x0001,
 		"Lexar",
 		"Jumpshot USB CF Reader",
-		US_SC_DEVICE, US_PR_JUMPSHOT, NULL,
-		US_FL_MODE_XLATE ),
+		US_SC_SCSI, US_PR_JUMPSHOT, NULL,
+		US_FL_NEED_OVERRIDE | US_FL_MODE_XLATE ),
 #endif
 
 /* Reported by Blake Matheny <bmatheny@purdue.edu> */
